.lang-switch {
    position: relative;
    width: 66px;
}

.lang-switch-button {
    padding: 4px 8px;
    line-height: 1;
    border: 1px solid #fff;
    border-radius: 4px;
    background-color: transparent;
    color: #fff;
    text-transform: capitalize;
    width: 100%;
    display: flex;
    align-items: center;
    gap: 4px;
}

.lang-switch-button svg {
    width: 2ch;
    height: 2ch;
    fill: #fff;
}

.lang-switch-button.active {
    background-color: #fff;
    color: black;
}

.lang-switch-button.active svg {
    fill: #000;
}

.lang-switch-list {
    list-style: none;
    margin: 0;
    padding: 0;
    background-color: #fff;
    color: #000;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    z-index: 10000001;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    box-shadow: 0 2px 5px #777777;
}

.lang-switch-list li {
    padding: 4px 0;
    text-align: center;
    cursor: pointer;
}

.lang-switch-list li:hover {
    background-color: #dfdfdf;
}

.lang-switch-list.hidden {
    display: none;
}

.nav-menu__collapse.open .lang-switch {
    width: 100px;
}

.nav-menu__collapse.open .lang-switch-button {
    border-color: #000;
    color: #000;
}

.nav-menu__collapse.open .lang-switch-button svg {
    fill: #000;
}

.nav-menu__collapse.open .lang-switch-list {
    background-color: #000;
    color: #fff;
}

@media(min-width: 1280px) {
    .nav-menu__collapse .lang-switch {
        display: none;
    }
}